%define kde_major_version 2
%define pkg kdelibs
%define is_release 1
%define is_preview 0
%define debug 0
%define VER 2.1.2
%define DATE 20010218
Summary: K Desktop Environment - Libraries
%if %{is_release}
Version: %{VER}
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/distribution/tar/generic/source/%{pkg}-%{version}.tar.bz2
%else
Version: %{VER}.%{DATE}
Source: cvs://cvs.kde.org/%{pkg}-%{DATE}.tar.bz2
%endif
Patch1: kdelibs-2.0-final.patch
Patch2: kdelibs-2.0-nodebug.patch
Patch3: klauncher-escape.patch
Patch4: kdelibs-20010205-Japanese.patch
Patch5: kdelibs-2.1-cookieesc.patch
Patch6: kdelibs-2.1-noxs.patch
Patch7: kdelibs-2.1.1-debug.patch
Patch8: kdelibs-2.1.1-cookieperms.patch
Patch9: kdelibs-2.1.1-sycoca.patch
Patch11: kdelibs-2.1.1-path.patch
%if %{is_preview}
Name: %{pkg}2
Prefix: /usr/lib/kde2
Requires: qt >= 2.3.0, kdesupport2
BuildRequires: qt-devel >= 2.3.0, kdesupport2-devel > 2.0.99, kdoc
%else
Name: %{pkg}
Prefix: %{_prefix}
Requires: qt >= 2.3.0, kdesupport >= 2.1-3
BuildRequires: qt-devel >= 2.3.0, kdesupport-devel >= 2.1-3, kdoc
Obsoletes: %{pkg}2
%endif
BuildPrereq: flex >= 2.5.4a-13
BuildPrereq: sgml-common openjade jadetex docbook-dtd31-sgml docbook-style-dsssl perl-SGMLSpm docbook-utils
Icon: kde-icon.xpm
Epoch: 6
Release: 1
Group: System Environment/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{pkg}-buildroot
ExcludeArch: sparc

%description
Libraries for the K Desktop Environment:
KDE Libraries included: kdecore (KDE core library), kdeui (user interface),
kfm (file manager), khtmlw (HTML widget), kfile (file access), kspell
(spelling checker), jscript (javascript), kab (addressbook), kimgio (image
manipulation), arts (sound, mixing and animation).

%package devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications.
%if %{is_preview}
Requires: qt-devel >= 2.2.3, %{name} = %{version}, kdesupport2-devel >= 2.0.99
%else
Requires: qt-devel >= 2.2.3, %{name} = %{version}, kdesupport-devel >= 2.0.99
Obsoletes: %{pkg}2-devel
%endif

%description devel
This package includes the header files you will need to compile
applications for KDE.  Also included is the KDE API documentation in HTML
format for easy browsing.

%package sound
Group: System Environment/Libraries
Summary: K Desktop Environment - Libraries for sound support
Requires: %{name} = %{version}, arts = %{version}, audiofile
Obsoletes: %{pkg}2-sound

%description sound
Libraries and basic applications for sound support in the K Desktop Environment:
libkmid, qtmcop and knotify

%package -n arts
Group: System Environment/Libraries
Summary: arts (analog real-time synthesizer) - the KDE 2.x sound system
Requires: audiofile

%description -n arts
arts (analog real-time synthesizer) is the sound system of KDE 2.x.

The principle of arts is to create/process sound using small modules which do
certain tasks. These may be create a waveform (oscillators), play samples,
filter data, add signals, perform effects like delay/flanger/chorus, or
output the data to the soundcard.

By connecting all those small modules together, you can perform complex
tasks like simulating a mixer, generating an instrument or things like
playing a wave file with some effects.


%package sound-devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications with sound
Requires: %{name} = %{version}, %{name}-devel = %{version}, %{name}-sound = %{version}, audiofile-devel
Obsoletes: %{pkg}2-sound-devel

%description sound-devel
This package includes the header files you will need to compile applications
using the KDE sound libraries, arts, mcop, qtmcop and libkmid.
Also included is the API documentation for these libraries, in HTML format for
easy browsing.

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q -n %{pkg}-%{version}
%else
%setup -q -n %{pkg}
%endif
%patch1 -p1 -b .final
%patch2 -p1 -b .nodebug
%patch3 -p1 -b .esc
%patch4 -p1 -b .jp
%patch5 -p1 -b .cookieesc
%patch6 -p1 -b .noxs
%patch7 -p1 -b .debug
%patch8 -p1 -b .sec
%patch9 -p1 -b .sycoca
%patch11 -p1 -b .path

make -f Makefile.cvs

# Fix some broken autogenerated files
cd arts/mcopidl
flex -oscanner.cc scanner.ll
cd ../../dcop/dcopidl
flex -oscanner.cc scanner.ll
cd ../..

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

export FLAGS="-O3 -DNDEBUG -UDEBUG -DNODEBUG -UDEBUG_ASYNC_TRANSFER -UVPORT_DEBUG -UDEBUG_IO -UDEBUG_MESSAGES -UDEBUG_AUTH -UDEBUG_CONNECTION_DATA -DYYDEBUG=0 -UNETWMDEBUG -UCSS_DEBUG -UCSS_STYLESHEET_DEBUG -USPEED_DEBUG -UKJS_DEBUGGER -UFORMS_DEBUG -UDEBUG_LAYOUT -UDEBUG_DRAW_BORDER -UPARSER_DEBUG -UDECODE_DEBUG -UCACHE_DEBUG -UBUFFER_DEBUG -UJPEG_DEBUG -UDEBUG_LINEBREAKS -UBOX_DEBUG -UTABLE_DEBUG -UYYERROR_VERBOSE -UKJS_DEBUG_MEM -UMIDIOUTDEBUG -UGENERAL_DEBUG_MESSAGES"

export FLAGS="$RPM_OPT_FLAGS -fno-rtti -fno-exceptions -fno-check-new $FLAGS -D_GNU_SOURCE"

VERSION=`cat /etc/redhat-release |awk '{ print $5; }'`
%if %{is_preview}
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" ./configure \
	--prefix=%{prefix} \
	--disable-final \
	--enable-mitshm \
%if "%{debug}" == "0"
	--disable-debug \
	--without-debug \
%endif
	--with-distribution="Red Hat Linux $VERSION (preview)"
%else
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" ./configure \
	--prefix=%{prefix} \
	--enable-mitshm \
	--includedir=%{prefix}/include/kde \
%if "%{debug}" == "0"
	--disable-debug \
	--without-debug \
	--enable-final \
%endif
	--with-distribution="Red Hat Linux $VERSION"
%endif

make

%install
unset QTDIR || : ; . /etc/profile.d/qt.sh
export DESTDIR=$RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

export FLAGS="$RPM_OPT_FLAGS -fno-rtti -fno-exceptions -fno-check-new"
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" ./configure \
	--prefix=%{prefix} \
	--enable-mitshm \
	--includedir=%{prefix}/include/kde \
	--with-distribution="Red Hat Linux $VERSION" \
	--enable-static \
%if "%{debug}" == "0"
	--disable-debug \
	--without-debug \
%endif
	--disable-shared \
%ifnarch alpha
	--enable-final
%endif

cd arts/artsc
make clean
make
install -m 644 .libs/libartsc.a $RPM_BUILD_ROOT%{prefix}/lib
cd ../..

chmod a+x $RPM_BUILD_ROOT%{prefix}/lib/*

# Generate documentation
export PATH=%{prefix}/bin:$PATH
makekdedoc=`which makekdedoc`
if [ ! -z "$makekdedoc" ]; then
  url=%{_docdir}/%{name}-devel-%{version}
  kdocdir=$RPM_BUILD_ROOT$url
  mkdir -p $kdocdir
  qt2kdoc=`which qt2kdoc`
  if [ ! -z "$qt2kdoc" ]; then
    $qt2kdoc -z -o $kdocdir/kdoc-reference $QTDIR/doc/html
  fi
  $makekdedoc --srcdir . --libdir $kdocdir/kdoc-reference --outputdir $kdocdir --url $url
fi

( cd $RPM_BUILD_ROOT%{_docdir} && ln -sf %{name}-devel-%{version} %{name}-devel-%{kde_major_version} )

# Replace absolute symlink with relative
rm -f $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/kspell/common
ln -s ../common $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/kspell/common

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}
install -m 644 KDE2PORTING.html $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post sound -p /sbin/ldconfig

%postun sound -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{prefix}/bin/dcop*
%{prefix}/bin/kbuildsycoca
%{prefix}/bin/kcookiejar
%{prefix}/bin/kdb2html
%{prefix}/bin/kde*
%{prefix}/bin/kio*
%{prefix}/bin/klauncher
%{prefix}/bin/kmailservice
%{prefix}/bin/lnusertemp
%{prefix}/bin/settheme
%{prefix}/bin/ksendbugmail
%{prefix}/lib/*style.*
%{prefix}/lib/dcop*
%{prefix}/lib/kbuildsycoca*
%{prefix}/lib/kcookiejar*
%{prefix}/lib/kded*
%dir %{prefix}/lib/kde2
%{prefix}/lib/kde2/*
%{prefix}/lib/kio*
%{prefix}/lib/kjs*
%{prefix}/lib/klauncher*
%{prefix}/lib/ksasl*
%{prefix}/lib/kstephighcolor.*
%{prefix}/lib/libDCOP*
%{prefix}/lib/libkab.*
%{prefix}/lib/libkde*
%{prefix}/lib/libkfile.*
%{prefix}/lib/libkhtml*.*
%{prefix}/lib/libkio.*
%{prefix}/lib/libkjava.*
%{prefix}/lib/libkjs.*
%{prefix}/lib/libkparts.*
%{prefix}/lib/libksasl.*
%{prefix}/lib/libkspell.*
%{prefix}/lib/libkssl.*
%{prefix}/lib/libksycoca.*
%{prefix}/lib/libktexteditor.*
%dir %{prefix}/share/apps
%{prefix}/share/apps/*
%dir %{prefix}/share/config
%config(noreplace) %{prefix}/share/config/*
%{prefix}/share/icons/*
%dir %{prefix}/share/mimelnk
%{prefix}/share/mimelnk/*
%dir %{prefix}/share/services
%{prefix}/share/services/*
%dir %{prefix}/share/servicetypes
%{prefix}/share/servicetypes/*
%doc %{prefix}/share/doc/HTML/*

%files devel
%defattr(-,root,root)
%{prefix}/include/kde/*.h
%dir %{prefix}/include/kde/dom
%{prefix}/include/kde/dom/*
%dir %{prefix}/include/kde/kio
%{prefix}/include/kde/kio/*
%dir %{prefix}/include/kde/kjs
%{prefix}/include/kde/kjs/*
%dir %{prefix}/include/kde/kdesu
%{prefix}/include/kde/kdesu/*
%dir %{prefix}/include/kde/kparts
%{prefix}/include/kde/kparts/*
%doc %{_docdir}/%{name}-devel-%{kde_major_version}
%dir %{_docdir}/%{name}-devel-%{version}
%doc %{_docdir}/%{name}-devel-%{version}/*

%files sound
%defattr(-,root,root)
%{prefix}/bin/knotify
%{prefix}/lib/libkmid.*
%{prefix}/lib/libqtmcop.*
%{prefix}/lib/knotify*
%{prefix}/lib/libx11globalcomm.*

%files -n arts
%defattr(-,root,root)
%dir %{prefix}/lib/mcop
%dir %{prefix}/lib/mcop/Arts
%{prefix}/lib/mcop/Arts/*
%{prefix}/lib/mcop/*.mcopclass
%{prefix}/lib/mcop/*.mcoptype
%{prefix}/bin/arts*
%{prefix}/lib/libarts*.la
%{prefix}/lib/libarts*.so*
%{prefix}/lib/libmcop.*
%{prefix}/lib/libsound*
%{prefix}/lib/libkmedia*

%files sound-devel
%defattr(-,root,root)
%{prefix}/bin/mcopidl
%dir %{prefix}/include/kde/arts
%{prefix}/include/kde/arts/*
%dir %{prefix}/include/kde/artsc
%{prefix}/include/kde/artsc/*
%dir %{prefix}/include/kde/libkmid
%{prefix}/include/kde/libkmid/*
%{prefix}/lib/libartsc.a

%changelog
* Wed Apr 25 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.2-1
- Update to 2.1.2, fixes security problem in kdesu

* Tue Apr  3 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-5
- Merge fixes from current KDE_2_1_BRANCH - fixes 2 memory leaks and
  makes kio_http more tolerant to broken Auth requests sent by some
  servers
- Add missing mcop{class,type} files in arts package
- Handle PATH changes in kdesu, some KControl modules need /sbin in the
  PATH... (#34209)
- Add KDE2PORTING.html file in /usr/share/docs/kdelibs-devel-%{version},
  it's quite useful...

* Thu Mar 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-3
- Fix up kded to watch directories we can't write to
- Use mkstemp() rather than tmpfile() for xauth file generation
  in kdesu

* Wed Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-2
- Fix up cookie escaping (this should finally fix bugzilla for good)
- Security: cookies shouldn't be world readable, some websites store
  login information

* Wed Mar 21 2001 Than Ngo <than@redhat.com>
- disable debug as default

* Tue Mar 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-1
- 2.1.1
- Escape cookies when necessary

* Mon Mar 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-10
- Don't crash in KProcess if getpwuid() returns NULL, happens with
  LDAP authentication
- Require qt >= 2.3.0 (#31770)
- Fix crash in KURLCompletion

* Tue Mar 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-9
- Add some more fixes and <layer> support from KDE_2_1_BRANCH
- Patch KService to not add K menu entries if the desktop files
  aren't readable by the user we're running at (removes bogus
  timetool, control-panel etc. entries; I'd still prefer running
  those through consolehelper over hiding them from users...)

* Fri Mar  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Revert to putting config files in /usr/share/config
- Fix up cookie handling when combined with JavaScript (#30577)
- Add some html rendering fixes from KDE_2_1_BRANCH

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- /usr/share/config -> /etc/kde
- Use --disable-debug, it works with Qt 2.3.0

* Tue Feb 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add khtml+DOM fixes from KDE_2_1_BRANCH
- BuildPrereq docbook stuff so we don't get broken kdb2html stuff

* Thu Feb 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- YAR (Yet Another Respin)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Mon Feb 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Feb 18 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Disable some more debugging (but leave -DNDEBUG out, it's broken)

* Thu Feb 15 2001 Than Ngo <than@redhat.com>
- create the kdoc-preferences for kdevelop
- put the html documents /usr/share/doc/kdelibs-devel-2

* Wed Feb 14 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add workaround for merging GNOME's non-UTF8 .desktop files
  in the KDE menu

* Tue Feb 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- disable debug, but patch out the CXXFLAGS change

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Back out --disable-debug change

* Fri Feb  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Build with --disable-debug

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of libkdefakes.so.0 (obsolete)
- Fix the escape sequence patch (#25307)

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add Japanese patch from Sato Satoru <ssato@redhat.com>

* Thu Feb  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix klauncher escape sequence handling (#25307, Patch from Tim Waugh)
- Fix krun escape sequence handling (#25134, Patch from Tim Waugh)
- Make /usr/share/doc/HTML/en/kspell/common symlink relative (#24793)

* Thu Jan 25 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Apply patch from CVS to fix up Cookie handling in Konqueror.
  Finally Bugzilla works perfectly in Konqueror.

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- kdelibs-sound-devel requires audiofile-devel, kdelibs-sound doesn't.
- Update, fixes various HTML rendering bugs

* Sat Jan 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Require kdesupport >= 2.0.99 rather than >= %%{version}
  kdesupport doesn't change frequently.

* Fri Jan 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- remove the Java hacks; KDE now requires a Java 2 compliant
  environment, so there's no chance to get any of it to run
  with current kaffe.

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- restore real arts %%description
- require Qt >= 2.2.3 rather than 2.2.0

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Move libkmedia2_idl to arts; it's needed there
- Fix up the Java stuff. The new stuff is ugly, but seems to work
- Get rid of the compiler bug workaround: the ICE was triggered by
  unclean code
- Change the description of the arts package for translation purposes

* Mon Jan 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Work around compiler bugs (sigh)
- Fix specfile (added files)
- Split arts into a separate package; it's required by SDL,
  and depending on kdelibs-sound (which requires kdelibs)
  is overkill

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Modify the check for an acceptable JVM to accept Kaffe

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add a hack to get a static libartsc

* Sun Jan  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsolete kdelibs2* (from 7.0preview)

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Run ldconfig in %post/%postun for kdelibs-sound
- Turn off optimizations on ia64

* Mon Dec 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1beta1

* Thu Nov  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current HEAD

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Another one - fix segfaults in the spellchecker
- fix docs

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS yet again - styles crash fix

* Thu Nov  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS - security fix in Java/Javascript code.
  There seems to be some conspiracy going on - "commit important
  fixes right after Red Hat built new RPMs" or the likes. :>

* Thu Nov  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up handling of desktop files that use TryExec (Bug #20020)
  Patch also committed to KDE CVS

* Wed Nov  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with fixed kdoc

* Fri Oct 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current KDE_2_0_BRANCH, now that most of the ".0 release"
  bugs are fixed
- fix typo in specfile: it's mitshm, not libshm
- Add ksendbugmail, required for the "Report Bug" feature to work

* Sun Oct 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final
- don't --enable-final on alpha (compiler problems)

* Sun Oct  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild

* Sat Sep 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS snapshot
- fix up specfile
- exclude alpha for now (compiler bugs)

* Sat Sep 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- major specfile cleanups
- update CVS

* Fri Sep 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move back to /usr
- New CVS snapshot
- Clean up specfile
- Use %%defines so we can build CVS snapshots and releases from the same
  specfile

* Fri Aug 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with optimizations re-enabled (Qt works around the problem now)

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new Qt

* Tue Aug 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sat Aug 05 2000 Than Ngo <than@redhat.de>
- don't use -DNDEBUG and -O2 on alpha,sparc to build, it breaks with Internal
  error (c++ bug)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current (I fixed the libGL detection issue there)

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to /usr/lib/kde2
- new snapshot

* Wed Jul 26 2000 Than Ngo <than@redhat.de>
- new snapshot

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Thu Jul 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, new Qt
- various fixes to spec file
- get rid of -O0, no longer required with gcc 2.96-41 (except on alpha)

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt with gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot
- use -O0 for now (ICE)

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use egcs++
- Epoch 3
- Update to current

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current - segfaulting at initialization time is not a nice
  feature.

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- disable build on ia64 for now (compiler bugs)
- FHSify

* Thu Mar 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- split: move sound support to a separate package, suggestion from
  David Faure <david@linux-mandrake.com>

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Wed Jan 05 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move programming docs to %{prefix}/doc/kdelibs-devel-%{version}-%{release}
  and to kdelibs-devel package
- new snapshot

* Tue Dec 14 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Add qt version number in Requires, add kdoc HTML help
  (patch from David Faure <david@mandrakesoft.com>)
- Actually use the %clean section

* Mon Nov  1 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- almost completely rewrite spec file - move to DESTDIR system
- current snapshot

* Thu Oct 15 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshots
- Change prefix to respect %{prefix} so we can coexist with KDE 1.x
- kdelibs-devel requires kdelibs

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- move kde_htmldir to /usr/doc/kde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- fix up perl include path for kdoc

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- remove linking to qimgio from kdecore, moved to kpanel/kfm directly
- renamed "lowcolor" directory to "locolor"

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added lowcolor icons directory and /usr/share/pixmaps to icon search path
- hacking to recognize .desktop files as application/x-kdelnk

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- added kdoc index files.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- updated to KDE 1.1.2.
- use /usr/lib/qt-1.44 as qt root.
- separate devel subpackages; include documentation and kdoc.
- added KDE icon.
- relocated includes to /usr/include/kde

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Jan 15 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed redhat-release dependency

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-integrated changes from Duncan Haldane
